DNSKEYGEN(1)

NAZWA
dnskeygen - generowanie publicznych, prywatnych i współdzielonych poufnych kluczy dla DNS Security

SKŁADNIA
dnskeygen [ - [DHR] rozmiar] [-F] [- zhu] [- a] [- c] [- p num] [- s num] -n nazwa

OPIS
Dnskeygen (DNS Key Generator) jest narzędziem do generowania i zarządzania kluczami dla DNS Security wewnątrz DNS (Domain Name System). Dnskeygen potrafi wygenerować publiczne i prywatne klucze do autentykacji danych strefy i współdzielone klucze prywatne używane przy podpisach Żądanie/Transakcja.

-D  Dnskeygen wygeneruje klucz DSA/DSS. Rozmiar musi być jednym z [512, 576, 640, 704, 768, 832, 896, 960, 1024].

-H  Dnskeygen wygeneruje klucz HMAC-MD5. Rozmiar musi zawierać się pomiędzy 128 a 504.

-R  Dnskeygen wygeneruje klucz RSA. Rozmiar musi zawierać się pomiędzy 512 a 4096.

-F  (tylko RSA) Używa dużego wykładnika przy generowaniu kluczy.

-z -h -u
    Flagi te definiują odpowiedni typ generowanego klucza: klucz Strefy (ważności DNS), klucz Hosta (host lub usługa) lub klucz Użytkownika (np. e-mail).

Każdy klucz może być tylko jednym z powyższych.

-a  Wskazuje, że klucz NIE MOŻE być użyty do autentykacji.

-c  Wskazuje, że klucz NIE MOŻE być użyty do szyfrowania.

-p num
    Ustawia pole protokołu klucza do wartości num ; domyślna wartość to 3 (DNSSEC) jeśli podano -z lub -h, a 2 (EMAIL) w przeciwnym wypadku. Inne akceptowalne wartości to 1 (TLS), 4 (IPSEC) i 255 (KAŻDY).

-s num
    Ustawia pole siły klucza do wartości num; domyślna wartość to 0.

-n nazwa
    Ustawia nazwę klucza na podaną nazwę.

  SZCZEGÓŁY
Dnskeygen przechowuje każdy klucz w dwóch plikach: K<nazwa>+<alg>+<footprint>.private i K<nazwa>+<alg>+<footprint>.key Plik K<nazwa>+<alg>+<footprint>.private zawiera klucz prywatny w formacie przenośnym. Plik K<nazwa>+<alg>+<footprint>.key zawiera klucz publiczny w formacie strefy DNS:

    <nazwa> IN KEY <flagi> <algorytm> <protokół> <wykładnik|moduły>

ŚRODOWISKO
Nie są używane żadne zmienne środowiskowe.

ZOBACZ TAKŻE
RFC 2065 dotyczące bezpiecznego DNS i Szkic Internetowy TSIG.

AUTOR
Olafur Gudmundsson (ogud@tis.com).

PODZIĘKOWANIA
Podstawowa matematyka kryptograficzna jest zrobiona przy pomocy DNSSAFE i/lub bibliotek Foundation Toolkit.

USTERKI
Dotychczas nieznane.